<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareControllerImport extends YendifVideoShareController {

	public function import() {	
		$model = $this->getModel( 'import' );
		
	    $view = $this->getView( 'import', 'html' );       		
        $view->setModel( $model, true );		
		$view->setLayout( 'default' );
		$view->display();		
	}
	
	public function saveApiKey() {	
		YendifVideoShareUtils::checkToken();
		
		$model = $this->getModel( 'import' );
	  	$model->saveApiKey();		
	}
	
	public function insertVideos() {	
		$app = JFactory::getApplication();
		
		$videos = $app->input->get( 'ids', array(0), 'ARRAY' );
		$ids    = array();
		$titles = array();
		
		if ( count( $videos ) > 0 ) {		
			foreach ( $videos as $video ) {
				$infos    = explode( "@", $video );
				$ids[]    = $infos[0];
				$titles[] = $infos[1];
			}
			
			$model = $this->getModel( 'import' );		
			$model->insertVideos( $ids, $titles );			
		} else {		
			echo "Please select atleast one video.";			
		}

		exit();		
	}
		
}