<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareModelConfig extends YendifVideoShareModel {
	
	public function getItem() {
		$db = JFactory::getDbo();   

		$query = 'SELECT * FROM #__yendifvideoshare_options';
		
		$db->setQuery( $query );		
		$items = $db->loadObjectList(); 
					
		$item = new JObject();
		
		foreach ( $items as $option ) {
			$item->{$option->name} = $option->value;			
		}		
	
        return $item;
	}		

	public function save() {	
		$db = JFactory::getDbo();
	  	$app = JFactory::getApplication();		

		$post = $app->input->post->getArray();
		
		if ( ! array_key_exists( 'sef_cat', $post ) ) {		
			$post['sef_cat'] = 'category';					
		}
		
		if ( ! array_key_exists( 'sef_video_prefix', $post ) ) {		
			$post['sef_video_prefix'] = 'video';					
		}	
			
		if ( ! array_key_exists( 'feed_limit', $post ) ) {							
			$post['feed_limit'] = 5;
		}
		
		foreach ( $post as $name => $value ) {		
			if ( $name == 'responsive_css' ) {					
				$value = $app->input->post->get( 'responsive_css', '', 'RAW' );			
			}
			
			if ( $name == 'share_script' ) {					
				$value =  $app->input->post->get( 'share_script', '', 'RAW' );			
			}	
			
			if ( $name == 'license' ) {					
				$value =  $app->input->post->get( 'license', '', 'RAW' );		
			}	

			$query = 'UPDATE #__yendifvideoshare_options SET value=' . $db->quote( $value ) . ' WHERE name=' . $db->quote( $name );
			
			$db->setQuery( $query );
			$db->execute();	
		}	

      	$msg = JText::_( 'YENDIF_VIDEO_SHARE_CHANGES_SAVED' );
      	$link = 'index.php?option=com_yendifvideoshare&view=config';
  
	  	$app->redirect( $link, $msg, 'message' );		
	}
	
}