<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareModelDashboard extends YendifVideoShareModel {
	
	public function getServerDetails() { 	 
		$params = array(        
			array(
				'name'  => JText::_( 'YENDIF_VIDEO_SHARE_ALLOW_FILE_UPLOADS' ),
		        'value' => ini_get( 'file_uploads' ) ? JText::_( 'YENDIF_VIDEO_SHARE_YES' ) : JText::_( 'YENDIF_VIDEO_SHARE_NO' )
			),
			array(
				'name'  => JText::_( 'YENDIF_VIDEO_SHARE_UPLOAD_MAX_FILESIZE' ),
				'value' => ini_get( 'upload_max_filesize' )
			),
			array(
				'name'  => JText::_( 'YENDIF_VIDEO_SHARE_MAX_INPUT_TIME' ),
		        'value' => ini_get( 'max_input_time' )
			),
			array(
				'name'  => JText::_( 'YENDIF_VIDEO_SHARE_MEMORY_LIMIT' ),
		        'value' => ini_get( 'memory_limit' )
			),
			array(
				'name'  => JText::_( 'YENDIF_VIDEO_SHARE_MAX_EXECUTION_TIME' ),
		        'value' => ini_get( 'max_execution_time' )
			),
			array(
				'name'  => JText::_( 'YENDIF_VIDEO_SHARE_POST_MAX_SIZE' ),
		        'value' => ini_get( 'post_max_size' )
			),
			array(
				'name'  => JText::_( 'YENDIF_VIDEO_SHARE_UPLOAD_DIRECTORY_PERMISSION' ),
				'value' => is_writable( JPATH_ROOT . DS . 'media' . DS ) ? JText::_( 'YENDIF_VIDEO_SHARE_YES' ) : JText::_( 'YENDIF_VIDEO_SHARE_NO' )
			)
		);
          
    	return $params;		
	}
	
	public function getLatestVideos() {	
        $db = JFactory::getDbo();
		 
        $query  = 'SELECT v.*, c.name as category FROM #__yendifvideoshare_videos AS v';
		$query .= ' LEFT JOIN #__yendifvideoshare_categories AS c ON v.catid=c.id';
		$query .= ' WHERE v.title != ' . $db->quote( '' );
		$query .= ' ORDER BY v.id DESC LIMIT 10';
        
		$db->setQuery( $query );
        $items = $db->loadObjectList();
		 
        return $items;		 
	}
	
	public function getPopularVideos() {	
        $db = JFactory::getDbo();
		 
		$query  = 'SELECT v.*, c.name as category FROM #__yendifvideoshare_videos AS v';
		$query .= ' LEFT JOIN #__yendifvideoshare_categories AS c ON v.catid=c.id';
		$query .= ' WHERE v.title != ' . $db->quote( '' );
		$query .= ' ORDER BY v.views DESC LIMIT 10';
        
		$db->setQuery( $query );
        $items = $db->loadObjectList();
		 
        return $items;		 
	}
	
}