<?php 
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareViewApproval extends YendifVideoShareView {

    public function display( $tpl = null ) {	
		$app = JFactory::getApplication();	

		$option = $app->input->get( 'option' );
		$view = $app->input->get( 'view' );
		
	    $model = $this->getModel();
		
		$limit = $app->getUserStateFromRequest( 'global.list.limit', 'limit', $app->getCfg( 'list_limit' ), 'int' );
		$limitstart = $app->getUserStateFromRequest( $option . $view . '.limitstart', 'limitstart', 0, 'int' );
		$this->limitstart = $limit != 0 ? ( floor( $limitstart / $limit ) * $limit ) : 0;
		
		$this->items = $model->getItems();
		$this->pagination = $model->getPagination();
		$this->unApproved = $model->getUnApproved();
		$this->lists = $model->getLists();
		
		JToolBarHelper::title( JText::_( 'YENDIF_VIDEO_SHARE' ), 'yendifvideoshare' );
		JToolBarHelper::custom( 'recreate', 'refresh', 'refresh', JText::_( 'YENDIF_VIDEO_SHARE_RECREATE_IMAGES' ), true );
		JToolBarHelper::publishList( 'publish', JText::_( 'YENDIF_VIDEO_SHARE_PUBLISH' ) );
        JToolBarHelper::unpublishList( 'unpublish', JText::_( 'YENDIF_VIDEO_SHARE_UNPUBLISH' ) );
        JToolBarHelper::deleteList( JText::_( 'YENDIF_VIDEO_SHARE_ARE_YOU_SURE_WANT_TO_DELETE_SELECTED_ITEMS' ), 'delete', JText::_( 'YENDIF_VIDEO_SHARE_DELETE' ) );
        JToolBarHelper::editList( 'edit', JText::_( 'YENDIF_VIDEO_SHARE_EDIT' ) );
				
		YendifVideoShareUtils::addSubMenu( 'videos' );
		
        parent::display( $tpl );		
    }
	
	public function edit( $tpl = null ) {	
	    $model = $this->getModel();
		
		$this->item = $model->getItem();
	
		$users = YendifVideoShareUtils::getUsers();
		foreach ( $users as $user ) {
			$user_options[] = JHTML::_( 'select.option', $user->id, $user->username );
		}
		$this->userids = JHTML::_( 'select.genericlist', $user_options, 'userid', '', 'value', 'text', $this->item->userid );
		
		$this->catids = $model->getCategories();
		
		JToolBarHelper::title( JText::_( 'YENDIF_VIDEO_SHARE_EDIT_VIDEO' ), 'yendifvideoshare' );
		JToolBarHelper::apply( 'apply', JText::_( 'YENDIF_VIDEO_SHARE_APPLY' ) );
		JToolBarHelper::save( 'save', JText::_( 'YENDIF_VIDEO_SHARE_SAVE' ) );
        JToolBarHelper::cancel( 'cancel', JText::_( 'YENDIF_VIDEO_SHARE_CANCEL' ) );

        parent::display( $tpl );		
    }
	
}