<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareViewAds extends YendifVideoShareView {

    public function vast( $tpl = null ) {        
        $this->setHeader();
        
        $config = JFactory::getConfig();
        $this->sitename = $config->get( 'sitename' );
		
		$this->config = YendifVideoShareUtils::getConfig();
        
        $model = $this->getModel();        
        $this->item = $model->getItem();

        if ( empty( $this->item ) ) {
            return;
        }
        
        parent::display( $tpl );		
    }

    public function vmap( $tpl = null ) {         
        $this->setHeader();

        $this->config = YendifVideoShareUtils::getConfig();

        $model = $this->getModel();
        $this->video = $model->getVideo();

        $this->video->hasPreroll = 0;
        if ( $this->config->enable_adverts == 'preroll_only' || $this->config->enable_adverts == 'both' ) {
            if ( $this->video->preroll ) {
                $this->video->prerollId = $model->getPrerollId();

                if ( ! empty( $this->video->prerollId ) ) {
                    $this->video->hasPreroll = 1;
                }
            }
        }

        $this->video->hasPostroll = 0;
        if ( $this->config->enable_adverts == 'postroll_only' || $this->config->enable_adverts == 'both' ) {
            if ( $this->video->postroll ) {
                $this->video->postrollId = $model->getPostrollId();

                if ( ! empty( $this->video->postrollId ) ) {
                    $this->video->hasPostroll = 1;
                }
            }
        }
        
        parent::display( $tpl );		
    }

    public function setHeader() {
        $u = JURI::getInstance( JURI::base() );

		if ( $u->getScheme() ) {
			$origin = $u->getScheme() . '://imasdk.googleapis.com';
        } else {
            $origin = 'https://imasdk.googleapis.com';
        }

        $app = JFactory::getApplication();
        $app->setHeader( 'Access-Control-Allow-Origin', $origin );
        $app->setHeader( 'Access-Control-Allow-Credentials', 'true' );
    }
	    
}