<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareViewCategories extends YendifVideoShareView {

	public function display( $tpl = null ) {	
		$app = JFactory::getApplication();	
		$db = JFactory::getDbo();	
		$document = JFactory::getDocument();
			
		$model = $this->getModel();

		$document->editor = $app->getCfg( 'fromname' );
		$document->editorEmail = $app->getCfg( 'mailfrom' );		
		
		$config = YendifVideoShareUtils::getConfig();	
		$params = $app->getParams();
				
		$query  = 'SELECT v.*, c.name as category FROM #__yendifvideoshare_videos AS v';
		$query .= ' LEFT JOIN #__yendifvideoshare_categories AS c ON v.catid=c.id';
		$query .= ' WHERE v.published=1';
		
		if ( $config->schedule_video_publishing ) {
			$date = JFactory::getDate();			
		 	
			$nowDate  = $db->quote( $date->toSql() );
			$nullDate = $db->quote( $db->getNullDate() );
		 
		 	$query .= " AND ( v.published_up = " . $nullDate . " OR v.published_up <= " . $nowDate . ' )';
			$query .= " AND ( v.published_down = " . $nullDate . " OR v.published_down >= " . $nowDate . ' )';	
		}
			
		$catid = $app->input->getInt( 'id' );		
		if ( $catid > 0 ) {
		 	$query .= ' AND v.catid=' . $catid;
		}
		 
		$filterby = $params->get( 'filterby', 'none' );
		if ( $filterby == 'featured' ) {
		 	$query .= ' AND v.featured=1';
		}
		 
		switch ( $params->get( 'orderby' ) ) {
			case 'most_viewed':
				$query .= ' ORDER BY v.views DESC';
				break;
			case 'most_rated':
				$query .= ' ORDER BY v.rating DESC';
				break;
			case 'data_added':
				$query .= ' ORDER BY v.id ASC';
				break;
			case 'a_z':
				$query .= ' ORDER BY v.title ASC';
				break;
			case 'z_a':
				$query .= ' ORDER BY v.title DESC';
				break;
			case 'random':
				$query .= ' ORDER BY RAND()';
				break;
			case 'ordering':
				$query .= ' ORDER BY v.ordering';
				break;
			default:
				$query .= ' ORDER BY v.id DESC';
		}
		 
		$query .= " LIMIT $config->feed_limit";	

        $db->setQuery( $query );		
        $items = $db->loadObjectList();	
				 
		foreach ( $items as $item ) {
			$title = $this->escape( $item->title );
			$title = html_entity_decode( $title, ENT_COMPAT, 'UTF-8' );
			
			$targetUrl = YendifVideoShareUtils::buildRoute( $item, 'video' );
			
			$description  = $item->description;				
			$description .= '<img src="' . $item->image . '" />';
										
			$date = $item->created_date ? date( 'r', strtotime( $item->created_date ) ) : '';
							
			// load individual item creator class
			$feeditem = new JFeedItem();
			
			$feeditem->title	   = $title;
			$feeditem->link		   = $targetUrl;				
			$feeditem->description = $description;
			$feeditem->date		   = $date;
			$feeditem->category	   = $item->category;		
										
			// loads item info into rss array
			$document->addItem( $feeditem );									
		}				
		
    }
	
}