<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareViewPlayer extends YendifVideoShareView {
	
	public function display( $tpl = null ) {
		$app = JFactory::getApplication();

		$model = $this->getModel();

        $this->item   = $model->getItem();
        $this->params = $model->getParams();
		$this->canDo  = YendifVideoShareUtils::canDo();		
		
		if ( empty( $this->item ) || ! isset( $this->item->type ) ) {
            return;
        }	

		$layout = 'html5';

		if ( $this->params->get( 'show_consent' ) && $app->input->cookie->get( 'com_yendifvideoshare_gdpr', null ) == null ) {
			if ( in_array( $this->item->type, array( 'youtube', 'vimeo', 'thirdparty' ) ) ) {
				$layout = 'gdpr';
			}
		}

		if ( $this->item->type == 'thirdparty' ) {
			$layout = 'iframe';
		}

		$this->setLayout( $layout );
		        
        parent::display( $tpl );		
    }  
	
	public function getTitle() {	
		$app = JFactory::getApplication();

		$title = $this->item->title;

		if ( $this->item->id > 0 ) {
			if ($app->get( 'sitename_pagetitles', 0 ) == 1 ) {
				$title = JText::sprintf( 'JPAGETITLE', $app->get( 'sitename' ), $title );
			} elseif ($app->get( 'sitename_pagetitles', 0 ) == 2 ) {
				$title = JText::sprintf( 'JPAGETITLE', $title, $app->get( 'sitename' ) );
			}
		}
	
		return $title;
    }

	public function getURL() {
		if ( $this->item->id > 0 ) {
			return JUri::root() . JRoute::_( 'index.php?option=com_yendifvideoshare&view=video&id=' . $this->item->id . ':' . $this->item->alias );
		} else {
			return JUri::root();
		}        	
    }

	public function hasAds() {
		if ( $this->canDo ) {
			if ( $this->params->get( 'ad_engine' ) == 'custom' ) {
				$lang = JFactory::getLanguage();
				$locales = $lang->getLocale();

				if ( $this->params->get( 'enable_adverts' ) != 'none' ) {
					$this->params->set( 'vasturl', JURI::root() . 'index.php?option=com_yendifvideoshare&view=ads&task=vmap&id=' . $this->item->id . '&format=xml&lang=' . $locales[4] );
					return true;
				}
			} elseif ( $this->params->get( 'ad_engine' ) == 'vast' ) {
				if ( $this->params->get( 'vasturl' ) != '' ) {
					return true;
				}
			}
		}

        return false;
    }

	public function getIpAddress() {
        // Whether ip is from share internet
        if ( ! empty( $_SERVER['HTTP_CLIENT_IP'] ) ) {
            $ip_address = $_SERVER['HTTP_CLIENT_IP'];
        }
        
        // Whether ip is from proxy
        elseif ( ! empty( $_SERVER['HTTP_X_FORWARDED_FOR'] ) ) {
            $ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
        }
        
        // Whether ip is from remote address
        else {
            $ip_address = $_SERVER['REMOTE_ADDR'];
        }
        
        return $ip_address;        
    }

}