<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoSharePlaylistHelper {
	
	public static function getItems( $params , $check_publishing_options ) {	
		$db = JFactory::getDbo();

		foreach ( $params as $key => $value ) {
			if ( $value == '' || $value == 'global' ) {
				unset( $params[ $key ] );
			}
		}		
		
        $query = 'SELECT * FROM #__yendifvideoshare_videos';
		
		$where = array();
		
		$where[] = 'published=1';
		
		if ( $check_publishing_options ) {
			$date = JFactory::getDate();			
			
	    	$nowDate  = $db->quote( $date->toSql() );
			$nullDate = $db->quote( $db->getNullDate() );
		
			$where[] = " ( published_up = " . $nullDate . " OR published_up <= " . $nowDate . ' )' ;
			$where[] = " ( published_down = " . $nullDate . " OR published_down >= " . $nowDate . ' )';	
		}	
		
		if ( isset( $params['catid'] ) && $params['catid'] > 0 ) {
			$where[] = 'catid=' . (int) $params['catid'];
		}
		
		if ( isset( $params['featured'] ) && $params['featured'] == 'featured' ) {
		 	$where[] = 'featured=1';
		}
	
		$user = JFactory::getUser();
		$viewLevels = $user->getAuthorisedViewLevels();
		$where[] = "access IN (''," . implode( ',', $viewLevels ) . ")";
		
		$where = count( $where ) ? ' WHERE '. implode( ' AND ', $where ) : '';		 
		$query .= $where;	
		
		$orderby = isset( $params['orderby'] ) ? $params['orderby'] : '';
		switch ( $orderby ) {	
			case 'latest':
				$query .= ' ORDER BY created_date DESC';
				break;		
			case 'most_viewed':
				$query .= ' ORDER BY views DESC';
				break;
			case 'most_rated':
				$query .= ' ORDER BY rating DESC';
				break;
			case 'date_added':
				$query .= ' ORDER BY created_date ASC';
				break;
			case 'a_z':
				$query .= ' ORDER BY title ASC';
				break;
			case 'z_a':
				$query .= ' ORDER BY title DESC';
				break;
			case 'random':
				$query .= ' ORDER BY RAND()';
				break;
			case 'ordering':
				$query .= ' ORDER BY ordering';
				break;
			default:
				$query .= ' ORDER BY id DESC';				
		}

		if ( isset( $params['limit'] ) && ! empty( $params['limit'] ) ) {
			$query .= ' LIMIT ' . (int) $params['limit'];
		}
		
        $db->setQuery( $query );
        $items = $db->loadObjectList();

		return $items;	
	}

}